#if !defined(AFX_TARINFO_H__DB172FD4_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_)
#define AFX_TARINFO_H__DB172FD4_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TarInfo.h : header file
//
#include"CamInfoPage.h"
/////////////////////////////////////////////////////////////////////////////
// CTarInfo dialog

class CTarInfo : public CCamInfoPage
{
	DECLARE_DYNCREATE(CTarInfo)

// Construction
public:
	CTarInfo();
	~CTarInfo();

// Dialog Data
	//{{AFX_DATA(CTarInfo)
	enum { IDD = IDD_TARINFO };
	CButton	m_TTT;
	CEdit	m_TLZCtrl;
	CEdit	m_TLYCtrl;
	CEdit	m_TLXCtrl;
	CEdit	m_TTAlt;
	float	m_TarLocX;
	float	m_TarLocY;
	float	m_TarLocZ;
	float	m_TarTrkAlt;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTarInfo)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTarInfo)
	afx_msg void OnChangeTarlocx();
	afx_msg void OnChangeTarlocy();
	afx_msg void OnChangeTarlocz();
	afx_msg void OnChangeTartalt();
	afx_msg void OnTloctt();
	afx_msg void OnUsetarget();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

virtual void UpdateControlStates();
virtual void DataOut();
virtual void DataIn();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TARINFO_H__DB172FD4_6E4E_11D2_8409_00A0C933BCAC__INCLUDED_)
